Bug 1421142 - Review Request: perl-RDF-RDFa-Generator - Generate data in RDFa
Summary: Review Request: perl-RDF-RDFa-Generator - Generate data in RDFa
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1421138 1421141
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 13:17 UTC by Petr Pisar
Modified: 2017-02-14 07:36 UTC (History)
2 users (show)

Fixed In Version: perl-RDF-RDFa-Generator-0.103-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-14 07:36:16 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2017-02-10 13:17:49 UTC
Spec URL: https://ppisar.fedorapeople.org/perl-RDF-RDFa-Generator/perl-RDF-RDFa-Generator.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-RDF-RDFa-Generator/perl-RDF-RDFa-Generator-0.103-1.fc26.src.rpm
Description:
These Perl modules allow you to generate RDFa (Resource Description Framework
in Attributes) trees.

Fedora Account System Username: ppisar

Comment 1 Jitka Plesnikova 2017-02-13 14:28:17 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-RDF-RDFa-Generator-0.103-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Data::Dumper)
      1 perl(Encode)
      1 perl(Icon::FamFamFam::Silk)
      1 perl(RDF::Prefixes)
      1 perl(RDF::RDFa::Generator)
      1 perl(RDF::RDFa::Generator::HTML::Head)
      1 perl(RDF::RDFa::Generator::HTML::Hidden)
      1 perl(RDF::RDFa::Generator::HTML::Pretty)
      1 perl(RDF::RDFa::Generator::HTML::Pretty::Note)
      1 perl(RDF::Trine) >= 0.112
      1 perl(XML::LibXML) >= 1.60
      1 perl(base)
      1 perl(constant)
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-RDF-RDFa-Generator-0.103-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(RDF::RDFa::Generator) = 0.103
      1 perl(RDF::RDFa::Generator::HTML::Head) = 0.103
      1 perl(RDF::RDFa::Generator::HTML::Hidden) = 0.103
      1 perl(RDF::RDFa::Generator::HTML::Pretty) = 0.103
      1 perl(RDF::RDFa::Generator::HTML::Pretty::Note) = 0.103
      1 perl-RDF-RDFa-Generator = 0.103-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-RDF-RDFa-Generator*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

The package looks good.
Approved.

Comment 2 Gwyn Ciesla 2017-02-13 15:08:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-RDF-RDFa-Generator

Comment 3 Petr Pisar 2017-02-14 07:36:16 UTC
Thank you for the review and the repository.


Note You need to log in before you can comment on or make changes to this bug.